Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.validator
Interface IXBRLValidator

All Known Implementing Classes:
  ENLOCXBRLValidator, XBRLValidator

    public interface IXBRLValidator

Interfaz de la clase XBRLValidator. Define los métodos de validación de documentos XBRL contra la taxonomía.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  `XBRLValidator, es.inteco.xbrl.lenlocpenloc.validator.ENLOCXBRLValidator ENLOCXBRLValidator`

Method Summary
`ValidateResult` | `validate(byte[] inputDocument)` Valida el documento XBRL contra la taxonomía sin procesar el resultado.
`ValidateResult` | `validate(byte[] inputDocument, boolean postProcessResult)` Valida el documento XBRL contra la taxonomía recibiendo la instancia XBRL como array de bytes.
`ValidateResult` | `validate(java.lang.String documentPath)` Valida el documento XBRL contra la taxonomía recibiendo la ruta donde se encuentra la instancia XBRL.

Method Detail

### validate

    ValidateResult validate(java.lang.String documentPath)
                            throws XBRLValidatorException

  Valida el documento XBRL contra la taxonomía recibiendo la ruta donde se encuentra la instancia XBRL.

  Parameters:
    `documentPath` - ruta del documento XBRL que se quiere validar
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XBRL se considera válido
  Throws:
    `XBRLValidatorException` - si se produce un error durante el proceso de validación.

### validate

    ValidateResult validate(byte[] inputDocument,
                            boolean postProcessResult)
                            throws XBRLValidatorException

  Valida el documento XBRL contra la taxonomía recibiendo la instancia XBRL como array de bytes.

  Parameters:
    `inputDocument` - Array de bytes con el documento XBRL que se quiere validar
    `postProcessResult` - Indicador de si se procesará el validate result original de xbreeze para facilitar su posterior interpretacion
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XBRL se considera válido
  Throws:
    `XBRLValidatorException` - si se produce un error durante el proceso de validación.

### validate

    ValidateResult validate(byte[] inputDocument)
                            throws XBRLValidatorException

  Valida el documento XBRL contra la taxonomía sin procesar el resultado.

  Parameters:
    `inputDocument` - Array de bytes con el documento XBRL que se quiere validar
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XBRL se considera válido
  Throws:
    `XBRLValidatorException` - si se produce un error durante el proceso de validación.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD